View Issue Details

IDProjectCategoryView StatusLast Update
0002019Industrial-Craft²general / otherpublic2016-10-26 15:41
ReporterKU_jijiiAssigned ToChocohead 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version 
Target VersionFixed in VersionBuilds for MC 1.10.x 
Summary0002019: Kinetic water generator has not worked from IC2-2.6.92-ex110
DescriptionIt has worked fine before 2.6.91.
I have read 2.6.92's changes description, "Cleaned up the kinetic water generator, should fix modded biomes",
this means kinetic water generator was removed from latest ex110?
I interpreted as cleaning source code, I did misunderstand?
TagsNo tags attached.
Minecraft Version1.10.2

Activities

KU_jijii

2016-10-24 13:11

reporter  

watergen001.png (40,008 bytes)
watergen001.png (40,008 bytes)

Chocohead

2016-10-24 14:23

developer   ~0004818

I probably broke something, it's hard to test without an ocean near by ;)

Chocohead

2016-10-24 17:47

developer   ~0004819

Should all work properly again in IC2 2.6.95

KU_jijii

2016-10-25 02:41

reporter  

watergen002.png (81,750 bytes)
watergen002.png (81,750 bytes)

KU_jijii

2016-10-25 02:46

reporter   ~0004827

Thanks for fix, Chocohead.
I feel at ease about my water generators keep to use.
But I guess somethhings still not proper, those output came weaker than before at river biome, and seems too large variation of output at ocean and deep ocean biome.
See my screenshot.

Chocohead

2016-10-25 18:04

developer   ~0004828

Hmmmmmmm, at this point it's quite hard to tell if it was working wrongly before or afterwards. I'll go stare at the code some more.

KU_jijii

2016-10-26 05:50

reporter   ~0004829

Sorry, Chocohead, my checking up was not enough.
Your fix was proper, it seems value of output before 2.6.91 did not refer to output modifier of configuration, so values were different.
Those come to refer to it from 2.6.95, this is right value.
Thanks for your nice fix, and sorry my careless.

Chocohead

2016-10-26 15:41

developer   ~0004830

Excellent, thanks for double checking :)

Issue History

Date Modified Username Field Change
2016-10-24 13:11 KU_jijii New Issue
2016-10-24 13:11 KU_jijii File Added: watergen001.png
2016-10-24 14:23 Chocohead Note Added: 0004818
2016-10-24 14:23 Chocohead Assigned To => Chocohead
2016-10-24 14:23 Chocohead Status new => acknowledged
2016-10-24 17:47 Chocohead Note Added: 0004819
2016-10-24 17:47 Chocohead Status acknowledged => resolved
2016-10-24 17:47 Chocohead Fixed in Version => Builds for MC 1.10.x
2016-10-24 17:47 Chocohead Resolution open => fixed
2016-10-25 02:41 KU_jijii File Added: watergen002.png
2016-10-25 02:46 KU_jijii Note Added: 0004827
2016-10-25 18:04 Chocohead Note Added: 0004828
2016-10-26 05:50 KU_jijii Note Added: 0004829
2016-10-26 15:41 Chocohead Note Added: 0004830